### Method

# Clutter Container add

deprecated: 1.10

#### Declaration [src]

    void
    clutter_container_add (
      ClutterContainer* container,
      ClutterActor* first_actor,
      ...
    )

#### Description [src]

Adds a list of `ClutterActor`s to `container`. Each time and actor is added, the “actor-added” signal is emitted. Each actor should be parented to `container`, which takes a reference on the actor. You cannot add a `ClutterActor` to more than one `ClutterContainer`.

This function will call `ClutterContainerIface`.add(), which is a deprecated virtual function. The default implementation will call clutter_actor_add_child().

Deprecated since: 1.10

Use `clutter_actor_add_child()` instead.

This method is not directly available to language bindings.

#### Parameters

`first_actor`

  Type: `ClutterActor`

  The first `ClutterActor` to add.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL` terminated list of actors to add.